%define	upstream_name	 Crypt-SSLeay
%define	upstream_version 0.72

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1
Summary:	Support for the https protocol under LWP
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{upstream_version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	perl-URI
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Requires:	perl

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}


%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Thu Mar 03 2016 bb <bb> 0.72-1pclos2016
- update for openssl

* Tue Sep 14 2010 Textar <texstar at gmail.com> 0.57-2pclos2010
- new ssl

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com> 0.57-1pclos2010
- update

